com.brightcove.player.store

## Class FileConverter

- java.lang.Object
- - com.brightcove.player.store.FileConverter

- All Implemented Interfaces:
    io.requery.Converter<java.io.File,java.lang.String>

      public class FileConverter
      extends java.lang.Object
      implements io.requery.Converter<java.io.File,java.lang.String>

  Provides a `Converter` that can be used persist and read `File` objects.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileConverter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.File` | `convertToMapped(java.lang.Class<? extends java.io.File> type, java.lang.String absolutePath)`
    `java.lang.String` | `convertToPersisted(java.io.File file)`
    `java.lang.Class<java.io.File>` | `getMappedType()`
    `java.lang.Integer` | `getPersistedSize()`
    `java.lang.Class<java.lang.String>` | `getPersistedType()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileConverter

          public FileConverter()

  - ### Method Detail

    - #### getMappedType

          public java.lang.Class<java.io.File> getMappedType()

      Specified by:
        `getMappedType` in interface `io.requery.Converter<java.io.File,java.lang.String>`

    - #### getPersistedType

          public java.lang.Class<java.lang.String> getPersistedType()

      Specified by:
        `getPersistedType` in interface `io.requery.Converter<java.io.File,java.lang.String>`

    - #### getPersistedSize

          public java.lang.Integer getPersistedSize()

      Specified by:
        `getPersistedSize` in interface `io.requery.Converter<java.io.File,java.lang.String>`

    - #### convertToPersisted

          public java.lang.String convertToPersisted(java.io.File file)

      Specified by:
        `convertToPersisted` in interface `io.requery.Converter<java.io.File,java.lang.String>`

    - #### convertToMapped

          public java.io.File convertToMapped(java.lang.Class<? extends java.io.File> type,
                                              java.lang.String absolutePath)

      Specified by:
        `convertToMapped` in interface `io.requery.Converter<java.io.File,java.lang.String>`